Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# RoboCupGameManagerSymbols Class Reference

The Xabsl2 symbols that are defined in "robocup-game-manager-symbols.xml". More...

`#include <RoboCupGameManagerSymbols.h>`

Inheritance diagram for RoboCupGameManagerSymbols:

[legend]
Collaboration diagram for RoboCupGameManagerSymbols:

[legend]
List of all members.

## Public Member Functions
| RoboCupGameManagerSymbols (const BehaviorControlInterfaces &interfaces)
void | registerSymbols (Xabsl2Engine &engine)
| registers the symbols at an engine
void | update ()
| updates the symbols
void | setTeamColor (int teamColor)
Input symbols
int | getState ()
int | getKickoff ()
int | getTeamColor ()
bool | getOwnTeamScored ()
bool | getOpponentTeamScored ()
double | getOwnScore ()
double | getOpponentScore ()
double | getTimeSinceLastMessage ()
## Private Attributes
int | lastGameControlDataState
| the game control state we received the last time
int | lastOwnScore
| keeps the recent own score value
int | lastOpponentScore
| keeps the recent opponent score value
unsigned long | timeWhenOwnTeamScored
| keeps the time when the last own goal was shot
unsigned long | timeWhenOpponentTeamScored
| keeps the time when the last opponent goal was shot
GameControlData::State | currentState
| The current game state (set by the behavior).

## Detailed Description

The Xabsl2 symbols that are defined in "robocup-game-manager-symbols.xml".

Author:
  Matthias Jüngel

Definition at line 21 of file RoboCupGameManagerSymbols.h.

## Constructor & Destructor Documentation

RoboCupGameManagerSymbols::RoboCupGameManagerSymbols | ( | const BehaviorControlInterfaces & | interfaces | ) |

| Definition at line 12 of file RoboCupGameManagerSymbols.cpp.

## Member Function Documentation

void RoboCupGameManagerSymbols::registerSymbols | ( | Xabsl2Engine & | engine | ) |

| registers the symbols at an engine Definition at line 21 of file RoboCupGameManagerSymbols.cpp. References currentState, getKickoff(), getOpponentScore(), getOpponentTeamScored(), getOwnScore(), getOwnTeamScored(), getState(), getTeamColor(), getTimeSinceLastMessage(), Xabsl2Symbols::registerBooleanInputSymbol(), Xabsl2Symbols::registerDecimalInputSymbol(), Xabsl2Symbols::registerEnumeratedInputSymbol(), Xabsl2Symbols::registerEnumeratedInputSymbolEnumElement(), Xabsl2Symbols::registerEnumeratedOutputSymbol(), Xabsl2Symbols::registerEnumeratedOutputSymbolEnumElement(), and setTeamColor(). Referenced by GT2005BehaviorControl::registerSymbolsAndBasicBehaviors().

Here is the call graph for this function:

void RoboCupGameManagerSymbols::update | ( |  | ) |

| updates the symbols Definition at line 74 of file RoboCupGameManagerSymbols.cpp. References GameControlData::data, SystemCall::getCurrentSystemTime(), GameControlData::getOpponentTeam(), GameControlData::getOwnTeam(), getPlayer(), getTimeSinceLastMessage(), lastGameControlDataState, lastOpponentScore, lastOwnScore, Player::setTeamColor(), timeWhenOpponentTeamScored, timeWhenOwnTeamScored, and uint32. Referenced by GT2005BehaviorControl::execute().

Here is the call graph for this function:

int RoboCupGameManagerSymbols::getState | ( |  | ) |

| A function for the symbol "game.state" Definition at line 105 of file RoboCupGameManagerSymbols.cpp. References GameControlData::data, and GameControlData::getRobot(). Referenced by registerSymbols().

Here is the call graph for this function:

int RoboCupGameManagerSymbols::getKickoff | ( |  | ) |

| A function for the symbol "game.kickoff" Definition at line 116 of file RoboCupGameManagerSymbols.cpp. References GameControlData::getKickoffTeam(). Referenced by registerSymbols().

Here is the call graph for this function:

int RoboCupGameManagerSymbols::getTeamColor | ( |  | ) |

| A function for the symbol "game.team-color" Definition at line 121 of file RoboCupGameManagerSymbols.cpp. References getPlayer(), and Player::getTeamColor(). Referenced by registerSymbols().

Here is the call graph for this function:

bool RoboCupGameManagerSymbols::getOwnTeamScored | ( |  | ) |

| A function for the symbol "game.own-team-scored" Definition at line 126 of file RoboCupGameManagerSymbols.cpp. References SystemCall::getTimeSince(), and timeWhenOwnTeamScored. Referenced by registerSymbols().

Here is the call graph for this function:

bool RoboCupGameManagerSymbols::getOpponentTeamScored | ( |  | ) |

| A function for the symbol "game.opponent-team-scored" Definition at line 131 of file RoboCupGameManagerSymbols.cpp. References SystemCall::getTimeSince(), and timeWhenOpponentTeamScored. Referenced by registerSymbols().

Here is the call graph for this function:

double RoboCupGameManagerSymbols::getOwnScore | ( |  | ) |

| A function for the symbol "game.own-score" Definition at line 136 of file RoboCupGameManagerSymbols.cpp. References GameControlData::getOwnTeam(). Referenced by registerSymbols().

Here is the call graph for this function:

double RoboCupGameManagerSymbols::getOpponentScore | ( |  | ) |

| A function for the symbol "game.opponent-score" Definition at line 141 of file RoboCupGameManagerSymbols.cpp. References GameControlData::getOpponentTeam(). Referenced by registerSymbols().

Here is the call graph for this function:

double RoboCupGameManagerSymbols::getTimeSinceLastMessage | ( |  | ) |

| A function for the symbol "game.time-since-last-message" Definition at line 146 of file RoboCupGameManagerSymbols.cpp. References SystemCall::getTimeSince(), and GameControlData::timeStamp. Referenced by registerSymbols(), and update().

Here is the call graph for this function:

void RoboCupGameManagerSymbols::setTeamColor | ( | int | teamColor | ) |

| Definition at line 100 of file RoboCupGameManagerSymbols.cpp. References getPlayer(), and Player::setTeamColor(). Referenced by registerSymbols().

Here is the call graph for this function:

## Member Data Documentation

int RoboCupGameManagerSymbols::lastGameControlDataState`[private]`

| the game control state we received the last time Definition at line 53 of file RoboCupGameManagerSymbols.h. Referenced by update().

int RoboCupGameManagerSymbols::lastOwnScore`[private]`

| keeps the recent own score value Definition at line 56 of file RoboCupGameManagerSymbols.h. Referenced by update().

int RoboCupGameManagerSymbols::lastOpponentScore`[private]`

| keeps the recent opponent score value Definition at line 59 of file RoboCupGameManagerSymbols.h. Referenced by update().

unsigned long RoboCupGameManagerSymbols::timeWhenOwnTeamScored`[private]`

| keeps the time when the last own goal was shot Definition at line 62 of file RoboCupGameManagerSymbols.h. Referenced by getOwnTeamScored(), and update().

unsigned long RoboCupGameManagerSymbols::timeWhenOpponentTeamScored`[private]`

| keeps the time when the last opponent goal was shot Definition at line 65 of file RoboCupGameManagerSymbols.h. Referenced by getOpponentTeamScored(), and update().

GameControlData::State RoboCupGameManagerSymbols::currentState`[private]`

| The current game state (set by the behavior). Definition at line 68 of file RoboCupGameManagerSymbols.h. Referenced by registerSymbols().

The documentation for this class was generated from the following files:

- Modules/BehaviorControl/CommonXabsl2Symbols/RoboCupGameManagerSymbols.h
- Modules/BehaviorControl/CommonXabsl2Symbols/RoboCupGameManagerSymbols.cpp